[
{
    blockid=option;
    help=logfiles_option_option;
    localvar={
	/* translate this block */
	.level.text="\uc138\ubd80 \uc815\ubcf4 \uc218\uc900";
	.level.tip="\uc9c0\uc815\ub41c \uc218\uc900\uacfc \uc0c1\uc704 \uc218\uc900\uc758 \uc774\ubca4\ud2b8\uac00 \uae30\ub85d\ub429\ub2c8\ub2e4.";
	.level.labels=["\uc911\ub300\ud55c","\uc624\ub958","\uacbd\uace0","\uc54c\ub9bc","\uc815\ubcf4","\ub514\ubc84\uadf8"];
	.path.text="\ub85c\uadf8 \ud30c\uc77c\uc5d0 \ub300\ud55c \ub514\ub809\ud1a0\ub9ac \uacbd\ub85c:";
	.num.text="\ub514\ub809\ud1a0\ub9ac\ub2f9 \ub85c\uadf8 \uc218:";
	.size.labels=["KB","MB"];
	.size.text="\uac01 \ub85c\uadf8\uc758 \ud30c\uc77c \ud06c\uae30:";
	.size.tip="\ub85c\uadf8 \ud30c\uc77c\uc774 \uc9c0\uc815\ub41c \ud06c\uae30\ub97c \ucd08\uacfc\ud558\uba74 \uc0c8 \ud30c\uc77c\uc774 \ub9cc\ub4e4\uc5b4\uc9d1\ub2c8\ub2e4.";
	.roll.text="\ub2e4\uc74c \uacbd\uc6b0\ub9c8\ub2e4 \uc0c8 \ub85c\uadf8 \ub9cc\ub4e4\uae30:";
	.roll.labels=["\uc2dc\uac04","\uc77c"];
	.max.text="\ucd1d \ub85c\uadf8 \ud06c\uae30\ub97c \ucd08\uacfc\ud560 \uacbd\uc6b0:";
	.min.text="\uc5ec\uc720 \ub514\uc2a4\ud06c \uacf5\uac04\uc774 \ub2e4\uc74c\ubcf4\ub2e4 \uc801\uc740 \uacbd\uc6b0:";
	.age.text="\ub85c\uadf8\uac00 \ub2e4\uc74c\ubcf4\ub2e4 \uc624\ub798\ub41c \uacbd\uc6b0:";
	.age.labels=["\uc2dc\uac04","\uc77c"];
	.rotate.border=[titled,"\ub85c\uadf8 \ud30c\uc77c \ud68c\uc804 \uc815\ucc45"];
	.expire.border=[titled,"\ub85c\uadf8 \ud30c\uc77c \ub9cc\ub8cc \uc815\ucc45"];
    };
    content=[
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    id=levellabel;
		    text=$.level.text;
		    wrap=$g.label.size1;
		    aligny=0.5;
		    target=levelctrl;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=choice;
		    id=levelctrl;
		    label=levellabel;
		    labels=$.level.labels;
		    items=[Critical,Error,Warning,Notice,Information,Debug];
		    val=$loglevel.value;
		    aligny=0.5;
		    tip=$.level.tip;
		},
		{
		    ctrl=hglue;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    id=pathlabel;
		    text=$.path.text;
		    wrap=$g.label.size1;
		    target=pathctrl;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=text;
		    id=pathctrl;
		    val=$logdir.value;
		    label=pathlabel;
		    aligny=0.5;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    border=$.rotate.border;
	    layout=[ybox];
	    content=[
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=sizelabel;
			    text=$.size.text;
			    wrap=$g.label.size2;
			    target=sizectrl;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    id=sizectrl;
			    val=$maxlogfilesize.value;
			    label=sizelabel;
			    items=[kb,mb];
			    labels=$.size.labels;
			    unit=byte;
			    aligny=0.5;
			    tip=$.size.tip;
			    allowempty=true;
			},
			{
			    ctrl=hglue;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=rolllabel;
			    text=$.roll.text;
			    wrap=$g.label.size2;
			    target=rollctrl;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    items=[hr,day];
			    labels=$.roll.labels;
			    unit=sec;
			    id=rollctrl;
			    val=$rollovertime.value;
			    label=rolllabel;
			    aligny=0.5;
			    allowempty=true;
			},
			{
			    ctrl=hglue;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    border=$.expire.border;
	    layout=[ybox];
	    content=[
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=numlabel;
			    text=$.num.text;
			    wrap=$g.label.size2;
			    target=numctrl;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    id=numctrl;
			    val=$maxlogfiles.value;
			    label=numlabel;
			    max=100;
			    min=1;
			    aligny=0.5;
			    allowempty=true;
			},
			{
			    ctrl=hglue;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=maxlabel;
			    text=$.max.text;
			    wrap=$g.label.size2;
			    target=maxctrl;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    id=maxctrl;
			    val=$maxlogsize.value;
			    label=maxlabel;
			    items=[kb,mb];
			    labels=$.size.labels;
			    unit=byte;
			    aligny=0.5;
			    allowempty=true;
			},
			{
			    ctrl=hglue;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=minlabel;
			    text=$.min.text;
			    wrap=$g.label.size2;
			    target=minctrl;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    id=minctrl;
			    val=$minfreediskspace.value;
			    label=minlabel;
			    items=[kb,mb];
			    labels=$.size.labels;
			    unit=byte;
			    aligny=0.5;
			    allowempty=true;
			},
			{
			    ctrl=hglue;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=agelabel;
			    text=$.age.text;
			    wrap=$g.label.size2;
			    target=agectrl;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    items=[hr,day];
			    labels=$.age.labels;
			    unit=sec;
			    id=agectrl;
			    val=$expirytime.value;
			    label=agelabel;
			    aligny=0.5;
			    allowempty=true;
			},
			{
			    ctrl=hglue;
			}
		    ]
		}
	    ]
	}
    ]
}
]
